Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class RecordImpl

    java.lang.Object
      com.servingxml.util.record.AbstractRecord
          com.servingxml.util.record.RecordImpl

All Implemented Interfaces:
  Record

    public class RecordImpl

extends AbstractRecord
implements Record

A `RecordImpl` class represents a set of record.

Field Summary

Fields inherited from interface com.servingxml.util.record.Record
`EMPTY, EMPTY_ARRAY, EMPTY_RECORD_TYPE_NAME`

Constructor Summary
`RecordImpl(Name recordTypeName)` Creates an empty record object.
`RecordImpl(RecordType recordType, Value[] values)` Creates an empty record object.

Method Summary
`int` | `fieldCount()`
`Name` | `getFieldName(int i)`
`java.lang.Object` | `getObject(Name name)` Gets the value of a field as a Java object.
`RecordType` | `getRecordType()`
`java.lang.String` | `getString(Name name)` Gets the value of a field as a string.
`java.lang.String[]` | `getStringArray(Name name)` Gets the value of a field as a string array.
`Value` | `getValue(int index)` Gets the value of a field at the specified index.
`Value` | `getValue(Name name)` Gets the value of a field with the specified name.
`void` | `writeToContentHandler(PrefixMap prefixMap, org.xml.sax.ContentHandler handler)`

Methods inherited from class com.servingxml.util.record.AbstractRecord
`createXmlReader, toString, toXmlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.servingxml.util.record.Record
`createXmlReader, toXmlString`

Constructor Detail

### RecordImpl

    public RecordImpl(RecordType recordType,
                      Value[] values)

  Creates an empty record object.

### RecordImpl

    public RecordImpl(Name recordTypeName)

  Creates an empty record object.

Method Detail

### getRecordType

    public RecordType getRecordType()

  Specified by:
    `getRecordType` in interface `Record`

### fieldCount

    public int fieldCount()

  Specified by:
    `fieldCount` in interface `Record`

### getFieldName

    public Name getFieldName(int i)

  Specified by:
    `getFieldName` in interface `Record`

### getValue

    public Value getValue(Name name)

  Description copied from interface: `Record`
  Gets the value of a field with the specified name.

  Specified by:
    `getValue` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value

### getValue

    public Value getValue(int index)

  Description copied from interface: `Record`
  Gets the value of a field at the specified index.

  Specified by:
    `getValue` in interface `Record`
  Parameters:
    `index` - the index of the field.
  Returns:
    The field value

### getStringArray

    public java.lang.String[] getStringArray(Name name)

  Description copied from interface: `Record`
  Gets the value of a field as a string array.

  Specified by:
    `getStringArray` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value as a string array.

### getString

    public java.lang.String getString(Name name)

  Description copied from interface: `Record`
  Gets the value of a field as a string.

  Specified by:
    `getString` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value as a string.

### getObject

    public java.lang.Object getObject(Name name)

  Description copied from interface: `Record`
  Gets the value of a field as a Java object.

  Specified by:
    `getObject` in interface `Record`
  Parameters:
    `name` - The field name.
  Returns:
    The field value

### writeToContentHandler

    public void writeToContentHandler(PrefixMap prefixMap,
                                      org.xml.sax.ContentHandler handler)
                               throws org.xml.sax.SAXException

  Specified by:
    `writeToContentHandler` in interface `Record`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD